module.exports = {
  execute: async ({ models, fragmentHelper, collectionHelper }) => {
    const eicRequestToRevision = fragmentHelper.getLatestEiCRequestToRevision()
    if (!eicRequestToRevision) {
      throw new Error('No Editor in Chief request to revision has been found.')
    }

    let newFragment = await fragmentHelper.createFragmentFromRevision(
      models.Fragment,
    )

    await fragmentHelper.removeRevision()

    await collectionHelper.updateStatus({ newStatus: 'submitted' })

    newFragment.submitted = Date.now()
    newFragment = await newFragment.save()

    await collectionHelper.addFragment(newFragment.id)

    return newFragment
  },
}
